%global pypi_name certifi

Summary:        Python package for providing Mozilla's CA Bundle
Name:           python-%{pypi_name}
Version:        2021.10.8
Release:        6%{?dist}

License:        MPLv2.0
URL:            http://certifi.io/en/latest/
Source0:        %pypi_source
Patch3000:         certifi-2020.11.8-use-system-cert.patch

BuildArch:      noarch

BuildRequires: ca-certificates

%description
Certifi is a carefully curated collection of Root Certificates for validating
the trustworthiness of SSL certificates while verifying the identity of TLS
hosts. It has been extracted from the Requests project.

It reads the system shared certificate trust collection from ca-certificates package

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       ca-certificates

%description -n python%{python3_pkgversion}-%{pypi_name}
Certifi is a carefully curated collection of Root Certificates for validating
the trustworthiness of SSL certificates while verifying the identity of TLS
hosts. It has been extracted from the Requests project.

It reads the system shared certificate trust collection from ca-certificates package
This package provides the Python 3 certifi library.


%prep
%autosetup -n %{pypi_name}-%{version} -p1
rm -rf %{pypi_name}.egg-info
rm -rf certifi/*.pem

find %{_builddir}/%{pypi_name}-%{version} -name '*.py' \
    -exec sed -i '1{\@^#!/usr/bin/env python@d}' {} \;

%build
%py3_build

%install
%py3_install

%check
export PYTHONPATH=%{buildroot}%{python3_sitelib}
test $(%{__python3} -m certifi) == /etc/pki/tls/certs/ca-bundle.crt
test $(%{__python3} -c 'import certifi; print(certifi.where())') == /etc/pki/tls/certs/ca-bundle.crt

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-*-py%{python3_version}.egg-info/

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2021.10.8-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2021.10.8-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2021.10.8-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2021.10.8-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Jan 11 2023 cunshunxia <cunshunxia@tencent.com> - 2021.10.8-2
- update the description.

* Thu Dec 22 2022 cunshunxia <cunshunxia@tencent.com> - 2021.10.8-1
- initial build
